org.apache.lucene.analysis.miscellaneous

## Class StemmerOverrideFilter.StemmerOverrideMap

- java.lang.Object
- - org.apache.lucene.analysis.miscellaneous.StemmerOverrideFilter.StemmerOverrideMap

Enclosing class:
  StemmerOverrideFilter

    public static final class StemmerOverrideFilter.StemmerOverrideMap
    extends Object

A read-only 4-byte FST backed map that allows fast case-insensitive key value lookups for `StemmerOverrideFilter`

### Constructor Summary

Constructors
Constructor and Description
`StemmerOverrideMap(FST<BytesRef> fst, boolean ignoreCase)` Creates a new `StemmerOverrideFilter.StemmerOverrideMap`

### Method Summary

All Methods Instance Methods Concrete Methods
`BytesRef` `get(char[] buffer, int bufferLen, FST.Arc<BytesRef> scratchArc, FST.BytesReader fstReader)` Returns the value mapped to the given key or `null` if the key is not in the FST dictionary.
`FST.BytesReader` `getBytesReader()` Returns a `FST.BytesReader` to pass to the `get(char[], int, FST.Arc, FST.BytesReader)` method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StemmerOverrideMap

    public StemmerOverrideMap(FST<BytesRef> fst,
                              boolean ignoreCase)

Creates a new `StemmerOverrideFilter.StemmerOverrideMap`

Parameters:
  `fst` - the fst to lookup the overrides
  `ignoreCase` - if the keys case should be ingored

### Method Detail

#### getBytesReader

    public FST.BytesReader getBytesReader()

Returns a `FST.BytesReader` to pass to the `get(char[], int, FST.Arc, FST.BytesReader)` method.

#### get

    public BytesRef get(char[] buffer,
                        int bufferLen,
                        FST.Arc<BytesRef> scratchArc,
                        FST.BytesReader fstReader)
                 throws IOException

Returns the value mapped to the given key or `null` if the key is not in the FST dictionary.

Throws:
  `IOException`